
From: Adrian Bunk <bunk@stusta.de>

This patch fixes an array overflow found by the Coverity checker.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/joystick/spaceorb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/joystick/spaceorb.c~drivers-input-joystick-spaceorbc-fix-an-array-overflow drivers/input/joystick/spaceorb.c
--- 25/drivers/input/joystick/spaceorb.c~drivers-input-joystick-spaceorbc-fix-an-array-overflow	2005-04-10 15:14:02.000000000 -0700
+++ 25-akpm/drivers/input/joystick/spaceorb.c	2005-04-10 15:14:02.000000000 -0700
@@ -116,7 +116,7 @@ static void spaceorb_process_packet(stru
 
 		case 'K':				/* Button data */
 			if (spaceorb->idx != 5) return;
-			for (i = 0; i < 7; i++)
+			for (i = 0; i < 6; i++)
 				input_report_key(dev, spaceorb_buttons[i], (data[2] >> i) & 1);
 
 			break;
_
